POST Search a Conversation
URL: http://{server-url}/api/v1/problem/{problem-id}/conversation/search/byqual
Example: http://{{server-url}}/api/v1/problem/1/conversation/search/byqual
You can search a conversation within a Problem ticket by calling the above endpoint with the problem ID.
You need the following key-values:
Header
| Key | Description |
|---|---|
| Authorization | Bearer/API Key {access token obtained after authorization} |
Body
{
"qualDetails": {
"type": "FlatQualificationRest",
"quals": [
{
"type": "RelationalQualificationRest",
"leftOperand": {
"type": "PropertyOperandRest",
"key": ".conversation.conversationType"
},
"operator": "equal",
"rightOperand": {
"type": "ValueOperandRest",
"value": {
"type": "EnumValueRest",
"value": "note"
}
}
}
]
}
}
note
To upload an attachment along with converation, first upload the attachment using the Upload Attachment API and then use its response in the body of this API.
Example (Request & Response)
Request
curl --location 'http://172.16.11.148/api/v1/problem/1/conversation/search/byqual' \
--header 'Authorization: Bearer eyJraWQiOiJmbG90by1rZXktaWQiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJqZXJyeUBtb3RhZGF0YS5jb20iLCJ1c2VyX25hbWUiOiJ1dWlkMzYtZmM4Mjc3NWItZjM1Ni00MWM4LWIyMGMtN2Q3MWE2MjI4MzFkIiwiaXNzIjoiaHR0cDovLzE3Mi4xNi4xMS4xNDgvYXBpIiwibG9naW5fc291cmNlIjoiTk9STUFMX0xPR0lOIiwiY2xpZW50X2lkIjoiUG9zdG1hbi1jbGllbnQiLCJhdWQiOiJQb3N0bWFuLWNsaWVudCIsImxvZ2luX3Nzb19pZCI6MCwibmJmIjoxNzcwNzIxMTQ5LCJncmFudF90eXBlIjoicGFzc3dvcmQiLCJzY29wZSI6WyJvdGhlci1hcGktc2NvcGUiXSwiZXhwIjoxNzcwODkzOTQ5LCJsb2dpbl9tc3BfcG9ydGFsX2lkIjowLCJpYXQiOjE3NzA3MjExNDksImp0aSI6ImViNTY5ODA0LWFlZTMtNGRmMS04MGJjLWU5ODJkZGQxOWQ5NSIsInRlbmFudElkZW50aWZpZXIiOiJhcG9sbyJ9.rca4U4WWUXwrCW6zPbN4JIBoyTQPtJj0EloSdwNvobw2qEG9ScX2Qsuq8H9iEDJCus0m-2DgHZk8SgB4LWhuACoX_NHpODvBIaXntfnXfmtV5tvOrt01zJ9vBhQ9w8JHH6o_YkcoB4JsXB8lYRYCxmBXMV33msCIHkJICTUS_SR4jD2RvXnHESDDmOYH5IT0OQq18NWrEJRZi9SfykiUtkNfSneGYF-0y0H_zm0bo0kiHK6Mmz_aByvUkRzBtGSZrH22C4dZl9osn2vh0ELR32EDHuZy19i2T3cAEvtVP_Cr3Oq43UzA2RBkKKHDV2UucRofiDgw_w1vIb9rqGmRPA' \
--header 'Content-Type: application/json' \
--data '{
"qualDetails": {
"type": "FlatQualificationRest",
"quals": [
{
"type": "RelationalQualificationRest",
"leftOperand": {
"type": "PropertyOperandRest",
"key": ".conversation.conversationType"
},
"operator": "equal",
"rightOperand": {
"type": "ValueOperandRest",
"value": {
"type": "EnumValueRest",
"value": "note"
}
}
}
]
}
}'
Response
{
"objectList": [
{
"id": 5,
"conversationType": "note",
"details": "<p>test</p>",
"createdByName": "jerry",
"createdByEmail": "jerry@motadata.com",
"createdTime": "Wed, Feb 11, 2026 12:32 pm",
"updatedTime": "Wed, Feb 11, 2026 12:32 pm",
"subject": "[PBM-1]: Internet Connectivity Issue",
"conversationState": "published",
"emailIds": [],
"ccEmailIds": [],
"updatable": true,
"deletable": true,
"fileAttachments": []
},
{
"id": 1,
"conversationType": "note",
"details": "<p>Kindly take a note of this.</p>",
"createdByName": "jerry",
"createdByEmail": "jerry@motadata.com",
"createdTime": "Tue, Feb 10, 2026 11:23 pm",
"updatedTime": "Tue, Feb 10, 2026 11:23 pm",
"subject": "[PBM-1]: Internet Connectivity Issue",
"conversationState": "published",
"emailIds": [],
"ccEmailIds": [],
"updatable": true,
"deletable": true,
"fileAttachments": []
}
],
"totalCount": 2
}